package com.facebook.common.time;

import X.QI3;
import android.os.SystemClock;
import com.bytedance.covode.number.Covode;

public class AwakeTimeSinceBootClock implements QI3 {
    public static final AwakeTimeSinceBootClock INSTANCE = new AwakeTimeSinceBootClock();

    public static AwakeTimeSinceBootClock get() {
        return INSTANCE;
    }

    public long now() {
        return SystemClock.uptimeMillis();
    }

    static {
        Covode.recordClassIndex(41175);
    }
}
